#!/bin/sh
STARTTIME=$(date +%s.%N)

BRANCH=5.7.0

sudo rm -rf /opt/qt5-dev
sudo mkdir -p /opt/qt5-dev
sudo chmod 644 /opt/qt5-dev
sudo chmod +x /opt/qt5-dev

sudo rm -rf qt5-GIT

git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qt5.git qt5-GIT
cd qt5-GIT

git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtbase.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtsvg.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtdeclarative.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtimageformats.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtquickcontrols.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtmultimedia.git

./configure -release -opensource -confirm-license -nomake examples -nomake tests -prefix /opt/qt5-dev -gstreamer 1.0

make -j8

ENDTIME=$(date +%s.%N)
ELAPSED=$(echo "$ENDTIME - $STARTTIME" | bc)

EM=$(echo "$ELAPSED/60" | bc)
ES=$(echo "$ELAPSED-60*$EM" | bc)

echo -n "\n\n\nProcess completed in $ELAPSED seconds\n"
printf "Total runtime: %02d:%02.4f\n" $EM $ES

